server {
    listen 443 ssl;
    http2 on;
    server_name _;

    ssl_certificate /etc/nginx/ssl/cert.pem;
    ssl_certificate_key /etc/nginx/ssl/key.pem;
    ssl_protocols TLSv1.3;
    ssl_ciphers HIGH:!aNULL:!MD5;
    ssl_prefer_server_ciphers on;
    ssl_ecdh_curve X25519MLKEM768;

    root <path>;
    index index.html index.htm;

    location / {
        try_files $uri $uri/ =404;
    }
}
